#ifndef TEST_Test_MTS_Text
#define TEST_Test_MTS_Text
#include <mts/MTS_Text.h>
#include "cppunit/extensions/HelperMacros.h"

class Test_MTS_Text : public CppUnit::TestFixture {
public:
    void testis_base64();
    void testbase64_encode();
    void testbase64_decode();
    void testText__time();
    void testText__date();
    void testText__split();
    void testText__split_limit();
    void testText__split_values();
    void testText__getLine();
    void testText__trim();
    void testText__strip();
    void testText__toLowerCase();
    void testText__toUpperCase();
    void testText__toCapitalized();
    void testText__toCamelCase();
    void testText__toBase64();
    void testText__toBase64_1();
    void testText__fromBase64();
    void testText__widen();
    void testText__narrow();
    void testText__format();
    void testText__format_1();
    void testText__format_2();
    void testText__format_3();
    void testText__format_4();
    void testText__format_5();
    void testText__format_6();
    void testText__format_7();
    void testText__format_8();
    void testText__format_9();
    void testtoHexString();
    void testText__formatHex();
    void testText__formatHex_1();
    void testText__formatHex_2();
    void testText__formatHex_3();
    void testText__formatHex_4();
    void testText__formatHex_5();
    void testText__formatHex_6();
    void testText__formatHex_7();
    void testText__formatHex_8();
    void testText__parse();
    void testText__parse_1();
    void testText__parse_2();
    void testText__parse_3();
    void testText__parse_4();
    void testText__parse_5();
    void testText__parse_6();
    void testText__parse_7();
    void testText__parse_8();
    void testText__parse_9();
    void testText__parseHex();
    void testText__parseHex_1();
    void testText__parseHex_2();
    void testText__parseHex_3();
    void testText__datetimeIsBefore();
    CPPUNIT_TEST_SUITE(Test_MTS_Text);
//    CPPUNIT_TEST(testis_base64);
//    CPPUNIT_TEST(testbase64_encode);
//    CPPUNIT_TEST(testbase64_decode);
//    CPPUNIT_TEST(testText__time);
    CPPUNIT_TEST(testText__date);
    CPPUNIT_TEST(testText__split);
    CPPUNIT_TEST(testText__split_limit);
    CPPUNIT_TEST(testText__split_values);
    CPPUNIT_TEST(testText__getLine);
    CPPUNIT_TEST(testText__trim);
    CPPUNIT_TEST(testText__strip);
    CPPUNIT_TEST(testText__toLowerCase);
    CPPUNIT_TEST(testText__toUpperCase);
    CPPUNIT_TEST(testText__toCapitalized);
    CPPUNIT_TEST(testText__toCamelCase);
//    CPPUNIT_TEST(testText__toBase64);
//    CPPUNIT_TEST(testText__toBase64_1);
//    CPPUNIT_TEST(testText__fromBase64);
//    CPPUNIT_TEST(testText__widen);
//    CPPUNIT_TEST(testText__narrow);
//    CPPUNIT_TEST(testText__format);
//    CPPUNIT_TEST(testText__format_1);
//    CPPUNIT_TEST(testText__format_2);
//    CPPUNIT_TEST(testText__format_3);
//    CPPUNIT_TEST(testText__format_4);
//    CPPUNIT_TEST(testText__format_5);
//    CPPUNIT_TEST(testText__format_6);
//    CPPUNIT_TEST(testText__format_7);
//    CPPUNIT_TEST(testText__format_8);
//    CPPUNIT_TEST(testText__format_9);
//    CPPUNIT_TEST(testtoHexString);
//    CPPUNIT_TEST(testText__formatHex);
//    CPPUNIT_TEST(testText__formatHex_1);
//    CPPUNIT_TEST(testText__formatHex_2);
//    CPPUNIT_TEST(testText__formatHex_3);
//    CPPUNIT_TEST(testText__formatHex_4);
//    CPPUNIT_TEST(testText__formatHex_5);
//    CPPUNIT_TEST(testText__formatHex_6);
//    CPPUNIT_TEST(testText__formatHex_7);
//    CPPUNIT_TEST(testText__formatHex_8);
//    CPPUNIT_TEST(testText__parse);
//    CPPUNIT_TEST(testText__parse_1);
//    CPPUNIT_TEST(testText__parse_2);
//    CPPUNIT_TEST(testText__parse_3);
//    CPPUNIT_TEST(testText__parse_4);
//    CPPUNIT_TEST(testText__parse_5);
//    CPPUNIT_TEST(testText__parse_6);
//    CPPUNIT_TEST(testText__parse_7);
//    CPPUNIT_TEST(testText__parse_8);
//    CPPUNIT_TEST(testText__parse_9);
//    CPPUNIT_TEST(testText__parseHex);
//    CPPUNIT_TEST(testText__parseHex_1);
//    CPPUNIT_TEST(testText__parseHex_2);
//    CPPUNIT_TEST(testText__parseHex_3);
    CPPUNIT_TEST(testText__datetimeIsBefore);
    CPPUNIT_TEST_SUITE_END();
};
#endif
